Description

In the Library Reference book, there are some cases of KPs which included unwanted words in the past tense. In the
generate_candidates function where we are skipping all the cases of bad KPs based on POS tags of the words, we need to add
another check for "past tense". The past tense check logic from the "filter_by_past_tense" method can be used here as well.

The conditions are to be implemented as follows:
1. original form of the word should be in Past Tense
2. Stemmed form of the above word should not be in the stemmed header variant

These conditions will help us in discarding:
1) derived enum classes -> enum classes
2) given event loop -> event loop

3) oriented event loop -> event loop

While making sure cases like given below are not eliminated:
1) encoded text -> text encodings

2) statement executed -> statement execution

3) derived key -> key derivation

4) allocated objects -> allocating objects

History

#1 - 11/03/2021 06:53 AM - Rohit Choudhary

- Status changed from New to In Progress

#2 - 11/29/2021 02:41 PM - Nandini Bansal
- Start date changed from 11/02/2021 to 11/29/2021

#3 - 12/08/2021 09:54 AM - Nandini Bansal

- Status changed from In Progress to Resolved
